com.holonplatform.jpa.processors.internal

## Class AbstractJpaBeanPropertyPostProcessor

- java.lang.Object
- - com.holonplatform.jpa.processors.internal.AbstractJpaBeanPropertyPostProcessor

- All Implemented Interfaces:
    com.holonplatform.core.beans.BeanPropertyPostProcessor, JpaBeanPostProcessor
  Direct Known Subclasses:
    JpaColumnBeanPropertyPostProcessor, JpaEnumeratedBeanPropertyPostProcessor, JpaIdentifierBeanPropertyPostProcessor, JpaTemporalBeanPropertyPostProcessor, JpaTransientBeanPropertyPostProcessor

      public abstract class AbstractJpaBeanPropertyPostProcessor
      extends Object
      implements com.holonplatform.core.beans.BeanPropertyPostProcessor, JpaBeanPostProcessor

  Base JPA `BeanPropertyPostProcessor` which checks for JPA API availability before processing.
  Since:
    5.1.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.beans.BeanPropertyPostProcessor

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJpaBeanPropertyPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.core.beans.BeanProperty.Builder<?>` | `processBeanProperty(com.holonplatform.core.beans.BeanProperty.Builder<?> property, Class<?> beanOrNestedClass)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jpa.processors.JpaBeanPostProcessor

      `registerPostProcessors`

- - ### Constructor Detail

    - #### AbstractJpaBeanPropertyPostProcessor

          public AbstractJpaBeanPropertyPostProcessor()

  - ### Method Detail

    - #### processBeanProperty

          public com.holonplatform.core.beans.BeanProperty.Builder<?> processBeanProperty(com.holonplatform.core.beans.BeanProperty.Builder<?> property,
                                                                                          Class<?> beanOrNestedClass)

      Specified by:
        `processBeanProperty` in interface `com.holonplatform.core.beans.BeanPropertyPostProcessor`

Copyright © 2019 The Holon Platform. All rights reserved.